/* $Id: AlignDistributeAction.hh,v 1.2 2004/05/05 06:46:33 pklaus Exp $
 *
 * AlignDistributeAction.hh
 *
 * Gestalter - The free vector drawing application
 * Copyright (c) 2002 Philipp Klaus <gestalter@linotux.ch>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef _ALIGNDISTRIBUTEACTION_HH
#  define _ALIGNDISTRIBUTEACTION_HH

#include "GDAction.hh"

#define ALIGNDISTRIBUTEACTION_TYPE_ALIGN_LEFT				0
#define ALIGNDISTRIBUTEACTION_TYPE_ALIGN_HCENTER			1
#define ALIGNDISTRIBUTEACTION_TYPE_ALIGN_RIGHT				2
#define ALIGNDISTRIBUTEACTION_TYPE_ALIGN_TOP				3
#define ALIGNDISTRIBUTEACTION_TYPE_ALIGN_VCENTER			4
#define ALIGNDISTRIBUTEACTION_TYPE_ALIGN_BOTTOM				5
#define ALIGNDISTRIBUTEACTION_TYPE_DISTRIBUTE_LEFT_EDGE		6
#define ALIGNDISTRIBUTEACTION_TYPE_DISTRIBUTE_HCENTER		7
#define ALIGNDISTRIBUTEACTION_TYPE_DISTRIBUTE_HGAP			8
#define ALIGNDISTRIBUTEACTION_TYPE_DISTRIBUTE_RIGHT_EDGE	9
#define ALIGNDISTRIBUTEACTION_TYPE_DISTRIBUTE_TOP_EDGE		10
#define ALIGNDISTRIBUTEACTION_TYPE_DISTRIBUTE_VCENTER		11
#define ALIGNDISTRIBUTEACTION_TYPE_DISTRIBUTE_VGAP			12
#define ALIGNDISTRIBUTEACTION_TYPE_DISTRIBUTE_BOTTOM_EDGE	13

class AlignDistributeAction : public GDAction {

public:
	guint type;
	
	AlignDistributeAction(guint t);
};

#endif
