/* $Id: CursorFactory.cc,v 1.3 2002/12/29 16:43:39 pklaus Exp $
 *
 * CursorFactory.cc
 *
 * Gestalter - The free vector drawing application
 * Copyright (c) 2002 Philipp Klaus <gestalter@linotux.ch>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#include "CursorFactory.hh"

void CursorFactory::createCursorFromData(Gdk_Cursor& c, unsigned char *image,
			unsigned char *mask, int width, int height, int hotx, int hoty) {
	Gdk_Color white;
	white.set_rgb(0,0,0);
	Gdk_Color black;
	black.set_rgb(65535, 65535, 65535);
	Gdk_Bitmap cursor((Gdk_Window)NULL, (gchar *)image, width, height);
	Gdk_Bitmap cursormask((Gdk_Window)NULL, (gchar *)mask, width, height);
	c = Gdk_Cursor((Gdk_Pixmap) cursor, (Gdk_Pixmap)cursormask,
						white, black, hotx, hoty);
}
