/* $Id: FreeType.hh,v 1.2 2002/12/29 16:43:39 pklaus Exp $
 *
 * FreeType.hh
 *
 * Gestalter - The free vector drawing application
 * Copyright (c) 2002 Philipp Klaus <gestalter@linotux.ch>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */



#ifndef _FREETYPE_HH
#  define _FREETYPE_HH

#include <ft2build.h>
#include FT_FREETYPE_H
#include <glib--.h>

class FTFace;

class FreeType {
	FT_Library freetype_library;

public:
	
	FreeType();
	
	FTFace *getFontFace(gchar *fontFile, gint faceIndex = 0);
};

#endif
