/* $Id: MenuDummyWindow.hh,v 1.2 2002/12/29 16:43:39 pklaus Exp $
 *
 * MenuDummyWindow.hh
 *
 * Gestalter - The free vector drawing application
 * Copyright (c) 2002 Philipp Klaus <gestalter@linotux.ch>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */



// generated 2001/11/22 21:53:54 CET by pklaus@iron.
// using glademm V0.6.2
//
// newer (non customized) versions of this file go to MenuDummyWindow.hh_new

// you might replace
//    class foo : public foo_glade { ... };
// by
//    typedef foo_glade foo;
// if you didn't make any modifications to the widget

#ifndef _MENUDUMMYWINDOW_HH
#  include "MenuDummyWindow_glade.hh"
#  define _MENUDUMMYWINDOW_HH
#include "glademm_support.hh"

class MenuDummyWindow : public MenuDummyWindow_glade
{   
        
        friend class MenuDummyWindow_glade;
        void onNewDocument();
        void onOpenDocument();
        void onSaveDocument();
        void onSaveDocumentAs();
        void onRevertDocument();
        void onPrintSetup();
        void onPrintDocument();
        void onCloseDocument();
        void onExit();
        void onUndo();
        void onRedo();
        void onCut();
        void onCopy();
        void onPaste();
        void onSelectAll();
        void onDeselectAll();
        void onRepeatCommand();
        void onMoveObjects();
        void onTransformSeparateObjects();
        void onBringToFront();
        void onRaiseObjects();
        void onBringToBack();
        void onLowerObjects();
        void onGroupObjects();
        void onUngroup();
        void onLock();
        void onUnlock();
        void onHide();
        void onShowAll();
        void onRendered();
        void onWireframe();
        void onDisplayToggleTemplate();
        void onToggleGuides();
        void onTogglePageFrame();
        void onToggleAncors();
        void onZoomIn();
        void onZoomOut();
        void onNoScale();
        void onFitInWindow();
        void onNewView();
        void onObjectAttributes();
        void onJoinObjects();
        void onAverage();
        void onMakeGuide();
        void onReleaseGuide();
        void onLockGuides();
        void onMakeMask();
        void onReleaseMask();
        void onMakeCombine();
        void onReleaseCombine();
        void onGraphicAttributesDialog();
        void onTextAttributesDialog();
        void onCustomColorsDialog();
        void onPatternsDialog();
        void onGradientsDialog();
        void on_docmenu1_activate();
};
#endif
