/* $Id: PathMinglerAction.hh,v 1.1 2004/05/05 06:46:33 pklaus Exp $
 *
 * PathMinglerAction.hh
 *
 * Gestalter - The free vector drawing application
 * Copyright (c) 2002 Philipp Klaus <gestalter@linotux.ch>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef _PATHMINGLERACTION_HH
#  define _PATHMINGLERACTION_HH

#include "GDAction.hh"

#define PATHMINGLERACTION_TYPE_UNION						0
#define PATHMINGLERACTION_TYPE_INTERSECTION					1
#define PATHMINGLERACTION_TYPE_EXCLUSION					2
#define PATHMINGLERACTION_TYPE_MINUS_FRONT					3
#define PATHMINGLERACTION_TYPE_MINUS_BACK					4
#define PATHMINGLERACTION_TYPE_TRIM							5
#define PATHMINGLERACTION_TYPE_DIVIDE						6
#define PATHMINGLERACTION_TYPE_OUTLINE						7
#define PATHMINGLERACTION_TYPE_MERGE						8
#define PATHMINGLERACTION_TYPE_CROP							9

class PathMinglerAction : public GDAction {

public:
	guint type;
	
	PathMinglerAction(guint t);
};

#endif
