/* $Id: gestalter.cc,v 1.6 2004/03/31 08:48:49 pklaus Exp $
 *
 * gestalter.cc
 *
 * Gestalter - The free vector drawing application
 * Copyright (c) 2002 Philipp Klaus <gestalter@linotux.ch>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


// generated 2001/11/3 20:45:41 CET by pklaus@iron.
// using glademm V0.6.2
//
// newer (non customized) versions of this file go to gestalter.cc_new

// This file is for your program, I won't touch it again!

// $Id: gestalter.cc,v 1.6 2004/03/31 08:48:49 pklaus Exp $

#include <config.h>
#include <gnome--/main.h>
#include <libgnome/gnome-i18n.h>

#include "GDApplication.hh"
#include "SVGInput.hh"


int main(int argc, char **argv) {
	poptContext ctxt;
	const char **args;
	int batchmode = FALSE;
	struct poptOption options[] = {
		{
			"batch",
			'b',
			POPT_ARG_NONE,
			&batchmode,
			0,
			N_("Put gestalter in batch mode [not implemented yet]"),
			NULL
		},
		{
			NULL,
			'\0',
			0,
			NULL,
			0,
			NULL,
			NULL
		}
	};



#if defined(ENABLE_NLS)
   bindtextdomain (PACKAGE, PACKAGE_LOCALE_DIR);
   textdomain (PACKAGE);
#endif ///* ENABLE_NLS*/  

   Gnome::Main m(PACKAGE, VERSION, argc, argv, options, 0, &ctxt);
   GDApplication *app = new GDApplication();
//manage(new class DocumentMenu());
//manage(new class DocWindow());
	args = poptGetArgs(ctxt);
	if (args) {
		int i = 0;
		while (args[i]) {
			// do something with the argument
			//g_printerr("arg: %s\n", args[i]);
			string filePath = args[i];
			SVGInput::open(filePath);
			i++;
		}
	}
	poptFreeContext(ctxt);

   m.run();
   delete app;
   return 0;
}
