/* $Id: AttributeAction.hh,v 1.3 2004/03/26 09:02:42 pklaus Exp $
 *
 * AttributeAction.hh
 *
 * Gestalter - The free vector drawing application
 * Copyright (c) 2002 Philipp Klaus <gestalter@linotux.ch>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef _ATTRIBUTEACTION_HH
#  define _ATTRIBUTEACTION_HH

#include "GDAction.hh"
#include "GDStyle.hh"

#define		ATTRIBUTEACTION_TYPE_STROKEWIDTH	1
#define		ATTRIBUTEACTION_TYPE_FILLCOLOR		2
#define		ATTRIBUTEACTION_TYPE_STROKECOLOR	3
#define		ATTRIBUTEACTION_TYPE_GUIDE			4


class GDStyle;

class AttributeAction : public GDAction {

	gdouble value;
	GDStyle style;
	
public:
	AttributeAction(guint what, gdouble newValue);

	AttributeAction(guint what, GDStyle& newStyle);
};

#endif
