/* $Id: ClipBoard.hh,v 1.4 2003/06/01 20:42:51 pklaus Exp $
 *
 * ClipBoard.hh
 *
 * Gestalter - The free vector drawing application
 * Copyright (c) 2002 Philipp Klaus <gestalter@linotux.ch>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _CLIPBOARD_HH
#  define _CLIPBOARD_HH

#include <gtk--.h>
#include <vector>
#include "GDCharacter.hh"

class SelectionItemList;
class GDDocument;
class DocWindow;

class ClipBoard : SigC::Object {
	
	SelectionItemList *content;
	vector<GDCharacter> textContent;
	
	public:
	
	ClipBoard();
	
	void copy(GDDocument *doc);
	
	void paste(GDDocument *doc, DocWindow *docwin);
	
	gboolean empty();
	
	~ClipBoard();
};

#endif
