/* $Id: FTFace.cc,v 1.2 2002/12/29 16:43:39 pklaus Exp $
 *
 * FTFace.cc
 *
 * Gestalter - The free vector drawing application
 * Copyright (c) 2002 Philipp Klaus <gestalter@linotux.ch>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#include "FTFace.hh"

FTFace::FTFace(FT_Face *face) {
	this->face = face;
}

int FTFace::setCharSize(gint width, gint height, gint hres, gint vres) {
	return FT_Set_Char_Size(face, width, height, hres, vres);
}

int FTFace::setCharPixelSize(gint width, gint height) {
	return FT_Set_Pixel_Sizes(face, width, height);
}

