/* $Id: LayerRename.hh,v 1.3 2004/03/26 13:12:01 pklaus Exp $
 *
 * LayerRename.hh
 *
 * Gestalter - The free vector drawing application
 * Copyright (c) 2002 Philipp Klaus <gestalter@linotux.ch>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef _LAYERRENAME_HH
#  include "LayerRename_glade.hh"
#  include "glademm_support.hh"
#  define _LAYERRENAME_HH

#include <gtk--.h>

class Layer;

class LayerRename : public LayerRename_glade {  
	
	friend class LayerRename_glade;
	
public:
	LayerRename();
	void setLayerInfo(Layer *which, guint number);
	guint getLayerNumber();
	Layer *getLayer();
	string getLayerNameString();
	guint getLayerColor();
	void setIconColor(guint color);
	void newCurrentColor();

protected:
	guint layerNumber;
	Layer *currentLayer;
	guint currentColor;
	Gtk::ColorSelectionDialog *csd;
        
	void changeColor();
};
#endif
