#ifndef _GESTALTER_H
#  define _GESTALTER_HH

#include "config.h"

#define GESTALTER_VERSION	"0.7.5"

#ifdef GEST_CXX_STD_NAMESPACE

namespace std{}
using namespace std;

#endif /* GEST_CXX_STD_NAMESPACE */

#ifdef GEST_CXX_OLDSTRING_COMPARE

#define STRINGOBJ_COMPARE(obj, pos, len, compstr) obj.substr(pos,len).compare(string(compstr).substr(pos, len))

#else

#define	STRINGOBJ_COMPARE(obj,pos,len,compstr) obj.compare(pos, len, compstr, pos, len)

#endif
	

#define EXPATPARSER		1
#define LIBXMLPARSER	2
#define USEXMLPARSER	LIBXML

#if USEXMLPARSER == EXPATPARSER
#  include "Expat.hh"
#  define XMLOBJECT		ExpatXML
#  define XMLPARSER		Expat
#  define PARSERDATA	XML_Parser
#else
#  include "LibXML.hh"
#  define XMLOBJECT		LibXMLObject
#  define XMLPARSER		LibXML
#  define PARSERDATA	parser_data*
#endif

	
#endif /* _GESTALTER_H */
